##
## Copyright (c) 2021 The Yaook Authors.
##
## This file is part of Yaook.
## See https://yaook.cloud for further info.
##
## Licensed under the Apache License, Version 2.0 (the "License");
## you may not use this file except in compliance with the License.
## You may obtain a copy of the License at
##
##     http://www.apache.org/licenses/LICENSE-2.0
##
## Unless required by applicable law or agreed to in writing, software
## distributed under the License is distributed on an "AS IS" BASIS,
## WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
## See the License for the specific language governing permissions and
## limitations under the License.
##
{% set service_name = "%s-vnc-backend" | format(dependencies['compute_service'].resource_name()) %}
apiVersion: cert-manager.io/v1
kind: Certificate
metadata:
  name: {{ "%s-vnc-backend" | format(labels["state.yaook.cloud/parent-name"]) }}
spec:
  secretName: {{ dependencies['vnc_backend_certificate_secret'].resource_name() }}
  duration: 3650h # 5 months
  renewBefore: 1460h # 2 months
  subject:
    organizations:
    - yaook
  commonName: {{ '%s' | format(service_name) }}
  dnsNames:
  - {{ '%s' | format(service_name) }}
  - {{ "%s.%s" | format(service_name, namespace) }}
  - {{ "%s.%s.svc" | format(service_name, namespace) }}
  - {{ "%s.%s.svc.%s" | format(service_name, namespace, cluster_domain) }}
  issuerRef:
    name: {{ crd_spec.vnc.issuerRef.name }}
